Bug 570951 - Review Request: krb5-appl - Kerberos-aware telnet/ftp/rcp/rsh/rlogin (upstream split from krb5)
Summary: Review Request: krb5-appl - Kerberos-aware telnet/ftp/rcp/rsh/rlogin (upstrea...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sumit Bose
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-05 22:41 UTC by Nalin Dahyabhai
Modified: 2010-03-19 21:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-19 21:09:39 UTC
sbose: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nalin Dahyabhai 2010-03-05 22:41:34 UTC
Spec URL: http://nalin.fedorapeople.org/krb5-appl.spec
SRPM URL: http://nalin.fedorapeople.org/krb5-appl-1.0-1.src.rpm
Description:
This package contains Kerberos-aware versions of the telnet, ftp, rcp, rsh,
and rlogin clients and servers.  While these have been replaced by tools
such as OpenSSH in most environments, they remain in use in others.

Comment 1 Sumit Bose 2010-03-18 17:03:17 UTC
The package looks good and builds in koji.

I get the following output from rpmlint:

krb5-appl.src: I: checking
krb5-appl.src: W: spelling-error Summary(en_US) Kerberos -> Kerosene, Kerbside, Cerberus
krb5-appl.src: W: spelling-error Summary(en_US) rsh -> rah, rs, sh
krb5-appl.src: W: spelling-error Summary(en_US) rlogin -> logging, logician, purloin
krb5-appl.src: W: spelling-error %description -l en_US rcp -> rcpt, rep, rip
krb5-appl.src: W: spelling-error %description -l en_US rsh -> rah, rs, sh
krb5-appl.src: W: spelling-error %description -l en_US rlogin -> logging, logician, purloin
krb5-appl.src: I: checking-url http://web.mit.edu/kerberos/www/ (timeout 10 seconds)
krb5-appl.src:281: E: use-of-RPM_SOURCE_DIR
krb5-appl.src:110: W: mixed-use-of-spaces-and-tabs (spaces: line 93, tab: line 110)
krb5-appl.src: W: invalid-url Source1: krb5-appl-1.0.tar.gz.asc
krb5-appl.src: W: invalid-url Source0: krb5-appl-1.0.tar.gz
krb5-appl-clients.i686: I: checking
krb5-appl-clients.i686: W: spelling-error Summary(en_US) Kerberos -> Kerosene, Kerbside, Cerberus
krb5-appl-clients.i686: I: checking-url http://web.mit.edu/kerberos/www/ (timeout 10 seconds)
krb5-appl-clients.i686: W: non-standard-dir-in-usr kerberos
krb5-appl-debuginfo.i686: I: checking
krb5-appl-debuginfo.i686: W: spelling-error Summary(en_US) krb -> orb, Krebs, Kr
krb5-appl-debuginfo.i686: W: spelling-error %description -l en_US krb -> orb, Krebs, Kr
krb5-appl-debuginfo.i686: I: checking-url http://web.mit.edu/kerberos/www/ (timeout 10 seconds)
krb5-appl-servers.i686: I: checking
krb5-appl-servers.i686: W: spelling-error Summary(en_US) Kerberos -> Kerosene, Kerbside, Cerberus
krb5-appl-servers.i686: W: spelling-error Summary(en_US) rsh -> rah, rs, sh
krb5-appl-servers.i686: W: spelling-error Summary(en_US) rlogin -> logging, logician, purloin
krb5-appl-servers.i686: W: spelling-error %description -l en_US rsh -> rah, rs, sh
krb5-appl-servers.i686: W: spelling-error %description -l en_US rlogin -> logging, logician, purloin
krb5-appl-servers.i686: I: checking-url http://web.mit.edu/kerberos/www/ (timeout 10 seconds)
krb5-appl-servers.i686: W: non-standard-dir-in-usr kerberos
4 packages and 0 specfiles checked; 1 errors, 19 warnings.

All warnings and errors can be ignored:
- the spelling errors can be ignored
- RPM_SOURCE_DIR is only mentioned in the changelog
- invalid-url: the upstream source is released as a tarball which contains another tarball with the sources and in signature file, so there is no direct url to the tarall with the sources
- mixed-use-of-spaces-and-tabs is detected wrongly
- non-standard-dir-in-usr, to be able to use the non-kerberized version of some tools, e.g. rsh, as a fallback the kerberized versions a installed in a seperate directory, the package takes care that the search patch is updated to find the new tools

Comment 2 Nalin Dahyabhai 2010-03-19 00:24:22 UTC
New Package CVS Request
=======================
Package Name: krb5-appl
Short Description: Kerberos-aware versions of telnet, ftp, rsh, and rlogin
Owners: nalin@redhat.com
Branches: 
InitialCC:

Comment 3 Kevin Fenzi 2010-03-19 19:55:06 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Nalin Dahyabhai 2010-03-19 21:09:39 UTC
Package built in 'devel', closing.  Thanks everyone!


Note You need to log in before you can comment on or make changes to this bug.